crash – Ubuntu 18.04 repeatedly crashes on HP laptop with AMD Ryzen 3550H

So I bought a new laptop with an AMD Ryzen 5 3550H CPU, with Nvdia graphics, and have dual booted Ubuntu 18.04 onto it. The problem I face is that the system keeps on crashing after some time, every time. I have been trying to find what crashes the system, using htop. I see that even though the usage of each cpu core is less than 100%, with an average around 30%, the system still crashes. I’m no tech pro, and so dont kno what to do apart from checking htop, so it would be great if someone could help me out. Happy to provide any files

Thanks

Ubuntu 18.04 policy based routing: netplan does not populate routing table

I have 2 network interfaces – 1 connected to internal network and 1 connected to external network, both interfaces acquire their IP from DHCP.

By default traffic goes through internal network and external network should be routed separately through a routing table called “public”. I’m trying to achieve this using netplan with the following config:

network:
  version: 2
  ethernets:
    ens3:
       dhcp4: yes
       dhcp4-overrides:
         route-metric: 99
    ens4:
       dhcp4: yes
       dhcp4-overrides:
         route-metric: 100
       routing-policy:
         - from: w.x.y.z
           table: 201
         - to: w.x.y.z
           table: 201
       routes:
         - to: 0.0.0.0/0
           via: w.x.v.1
           table: 201
         - to: w.x.v.0/23
           via: w.x.v.1
           table: 201 

After i run netplan apply I’d expect to see the following:

root@my-u18:~# ip route show table 201
default via w.x.v.1 dev ens4
x.y.v.0/23 dev ens4 scope link src w.x.y.z

But in reality the routing table is not populated

root@my-u18:~# ip route show table 201
root@my-u18:~#

However, the routing rules seem to apply:

root@my-u18:~# ip rule
0:      from all lookup local 
0:      from w.x.y.z lookup public 
0:      from all to w.x.y.z lookup public 
32766:  from all lookup main 
32767:  from all lookup default

What am I missing?

c – How to isntall gcc 4.8 in ubnutu 18.04

Hello i am currently using ubuntu 18.04 bionic beaver , i neeed gcc 4.8 for my matlab
so i tried to install gcc-4.8

using

sudo apt-get install gcc-4.8

and i got the following verbose

 E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/l/linux/linux-libc-dev_4.15.0-117.118_amd64.deb  404  Not Found [IP: 2403:8940:3:1::f 80]
 E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

so i ran the command

 sudo apt-get update 

i didn’t show any error but running gcc version command gave this

gcc -v

Command 'gcc' not found, but can be installed with:

sudo apt install gcc

previously i used to have 7.5 but now it is not

Remote upgrade from 18.04 LTS to 20.4 LTS stopped – How to resume?

I’m doing a remote upgrade from 18.04 LTS to 20.4 LTS over ssh, trying to follow this recipe:
https://ostechnix.com/how-to-upgrade-to-ubuntu-20-04-lts-server/

However, it seems the upgrade stopped while cleaning up the packages — it detached from screen and never got to the “System upgrade complete” message. Running sudo do-release-upgrade -d again says “There is no development version of an LTS available”. Since this is remote, I’m afraid to reboot or do the wrong thing. How can I check/resume/fix the upgrade?

Here’s the last part of the /var/log/dist-upgrade/…/main.log:

2020-09-26 10:20:41,799 ERROR not handled exception:
Traceback (most recent call last):

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeCache.py", 
line 997, in tryMarkObsoleteForRemoval
    self.restore_snapshot()

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeCache.py", 
line 370, in restore_snapshot
    pkg.mark_delete()

  File "/usr/lib/python3/dist-packages/apt/package.py", line 1509, in mark_delete

apt_pkg.Error: E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/focal", line 8, in <module>
    sys.exit(main())

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeMain.py", line 238, in main
    if app.run():

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeController.py", line 2081, in run
    return self.fullUpgrade()

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeController.py", line 2058, in fullUpgrade
    self.doPostUpgrade()

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeController.py", line 1484, in doPostUpgrade
    if not self.cache.tryMarkObsoleteForRemoval(pkgname, remove_candidates, self.forced_obsoletes, self.foreign_pkgs):

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeCache.py", line 243, in wrapper
    res = f(*args, **kwargs)

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeCache.py", line 1001, in tryMarkObsoleteForRemoval
    self.restore_snapshot()

  File "/tmp/ubuntu-release-upgrader-soxxvnbe/DistUpgrade/DistUpgradeCache.py", line 370, in restore_snapshot
    pkg.mark_delete()

  File "/usr/lib/python3/dist-packages/apt/package.py", line 1509, in mark_delete

apt_pkg.Error: E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

php – Linux Ubuntu 18.04 and Apache2 server configuration tips for websites

I looked a lot on the internet but I didn’t find any article so relevant or that explained how to properly configure a Linux server for PHP site.

I have a lot of doubt and I want to know if I’m on the right track.
Every part of configuration I’ve done and I already have the website available and running: Linux Ubuntu 18.04, Apache2, MySQL and PHP 7.4

My main question and if it leaves something behind that could affect the server’s performance among other things.

The first question is: Are the following modules really necessary?
(before you ask me, I compared the installation of another server and saw that in my modules these are not available so I was in doubt)

mod_proxy
mod_proxy_ajp
mod_proxy_balancer
mod_proxy_connect
mod_proxy_html
mod_proxy_http
mod_rewrite
mod_setenvif
mod_slotmem_shm
mod_socache_shmcb
mod_ssl

Another doubt, is installing ufw really necessary? (ps. I don’t want external connections on my server, just access to the website)

I think I want to be as safe as possible.

If anyone wants to view the complete PHP settings just access this link:

https://www.uniquestudiocriativo.com.br/phpinfo.html

18.04 – Ubuntu18.04 ProtonDB, I can’t run Among Us (file Among Us.exe not found?)

I have been having some trouble with Steam ProtonDB. I can’t lauch the game “Among Us”, which is in an Ext Partition in a secondary HDD unit, which is permanently mounted in the folder “media/storage”. I have a NVIDIA 2060 graphic card and have my drivers updated. My Ubuntu version is 18.04.
I had run

$steam

And I can see the log of everything I do in steam. When I launch that particular game (other games like Stardew Valley and Ultimate Chiken Horse work fine) I get the following wall of text. Any ideas on how can I get it working?:

Opted-in Controller Mask for AppId 0: 0
Opted-in Controller Mask for AppId 0: 0
Opted-in Controller Mask for AppId 0: 0
(945360)Non-Steam Controller Configs Enabled: 1
GameAction (AppID 945360, ActionID 9) : LaunchApp changed task to ProcessingInstallScript with ""
GameAction (AppID 945360, ActionID 9) : LaunchApp changed task to SiteLicenseSeatCheckout with ""
GameAction (AppID 945360, ActionID 9) : LaunchApp changed task to CreatingProcess with ""
GameAction (AppID 945360, ActionID 9) : LaunchApp waiting for user response to CreatingProcess ""
GameAction (AppID 945360, ActionID 9) : LaunchApp continues with user response "CreatingProcess"
Opted-in Controller Mask for AppId 945360: 0
Game update: AppID 945360 "", ProcID 6581, IP 0.0.0.0:0
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
Starting app 945360
>>> Adding process 6581 for game ID 945360
GameAction (AppID 945360, ActionID 9) : LaunchApp changed task to WaitingGameWindow with ""
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
GameAction (AppID 945360, ActionID 9) : LaunchApp changed task to Completed with ""
>>> Adding process 6582 for game ID 945360
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
>>> Adding process 6583 for game ID 945360
>>> Adding process 6584 for game ID 945360
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
>>> Adding process 6585 for game ID 945360
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
>>> Adding process 6586 for game ID 945360
>>> Adding process 6587 for game ID 945360
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
/usr/lib/x86_64-linux-gnu/gio/modules/libgiognomeproxy.so: undefined symbol: g_task_new
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgiognomeproxy.so
/usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so: undefined symbol: g_task_new
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so
/usr/lib/x86_64-linux-gnu/gio/modules/libgiognutls.so: undefined symbol: g_task_get_source_tag
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgiognutls.so
/usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so: undefined symbol: g_task_new
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so
/usr/lib/x86_64-linux-gnu/gio/modules/libgiolibproxy.so: undefined symbol: g_task_set_task_data
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgiolibproxy.so
>>> Adding process 6588 for game ID 945360
>>> Adding process 6589 for game ID 945360
pressure-vessel-locale-gen: No locales need to be generated
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/carolinalove/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
>>> Adding process 6695 for game ID 945360
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: MZ����@��: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: /media/storage/SteamLibrary/steamapps/common/Among: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: e�}yd}ef}ydxev}yd: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: : not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: }ee}yd: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: eP}yd: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: ev}yd�yeu}yd��du}yd�{eu}ydRicht}ydPEL: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: zef}yd�xew}ydt}xd:}yd�: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 2: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: E: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: .rdata: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: t=pu�=�A���=�A��=�A�}��E��E�|2jX3�S���(�)܉�E��s��S
                                                                                                 �)��: not found�)�_^�tf�
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: cannot open +A3�: No such file
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �@^)�U��VhP�@hH�@hP�@j�����������t�u���u
                                                                                  ���@���
                                                                                         �u
                                                                                           ��T�@^)ùP+A�: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �V�5: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: cannot open ��: No such file
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �u�^�U���uV�0+A�>t�>��6�h�@�&����<+Au�^)á A�P+A����U��SVWUj���U�h�P(R�P$R��)�D�T$���SVW�D$UPj�h1$@d�5� A3�P�D$d��D$(��p
                                                                    ���t:�|$,�t;t$,v-�4v�
                                                                                          ��L$
                                                                                              �H
                                                                                                �|�u�y1$@u�Q�eL$d�
          �R
            9u�ÍISQ�0 A��ISQ�0 A�L$
                                    ��C�k
                                          UQPXY)Y(������WV�t$�L$�|$
                                                                      �����;�;����� �����s�% A�����%�As: File name too long
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �o~p��O�W: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 1: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: fo~pfg@foPfw: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 14: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: _�
                                          � )�@
�@���H<@�   �
T
 @.text�� t=pt=Pt=fGp�����������u���% As>fn�fp��� r��G�� �� �� s���tb�|���G�D$�����t�G����u��������������t ��$����G��������u��D$���������SVW�T$�D$�L$URPQQhp@d�5� A3ĉDd�%�D/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe��L$,3�p
                                                                             ���t;�T���t;�v.�4v���
                                                                                                    �H
 �{u�h���������d���_^(ËL$�A�t3�D�3������U�h�p
                                                       �p�p�>�����
                                                                    )�D�T$��Ë�U�t赃��L�)�q�q�q(������
      )�UVWS��3�3�3�3�3���(_^)������j�'3�3�3�3�3����IU��SVWjRh) @Q�<�@_^()�U�lRQ�t$�������
                                                                                                )U��@  A�Y��VW�+A3�jh�W�<��h� @���  AY���u2��h�*AP�?YY��u����á  A���tP���
,+A����u�_�^�U��QSVW�顋��0+A�0�E���tr۰��2�_^�V�5,+A��t k�W���*AW�P�@�
                                         ������}��X�@jS�p�@����uP�@�@��Wu5jh��@S�i��
                                                                                       ��t!jh�@S�U��
                                                                                                    �VVS�p�@���3���u
�M�������M��Ƈ��tV�h�@��u��;}
                                  �V���3�_^(�Ë���U���W�<�<+A�� A�ʃ�3��ʃ��u3��D��t���<V�u�u����YY��t�u
V�����Y����l�@����t
           j������Y�3�^_)�U��Vh�@h�@h�@j�w���������t�����@��^)�^)�%X�@U��Vh,�@h$�@h,�@j�<����������t
      ����@����d�@^)�U��Vh<�@h4�@h<�@j���������u
                                                     ���t
                                                         ����@����(@�p(@x(@�(@�(@�D$
                                                                                      ^_�F�G�D$
                                                                                                  ^_ÍI�F�G�F�G�D$
                ^_�F�G�F�G�F�G�D$
                                        ^_���tINO����u����rh����o�oN�oV �o^0�of@�onP�ov�p���������u��� r#�� �� �o�oN��O�� ������u�������t��������������u���t��������u��D$
                                                                                    ^_����̋ƃ������у���tf��$��fofoNfoV fo^0ffOfW f_0fof@fonPfovfp������Ju���t_������t!���o�oN��O�v � Ju���t0����t��������u��ȃ�t��FGIu���$�I�D$
���v�Hu�Y�����������������U����SQ�E���+�+�Q�‹ȃ�t    ��FGIu���t
                                        ��
                                          �E��U�u�M�m��-���VW��_^��)�MU����u�Q�
                                                                                    ���)Y(��
                                                                                            h@A�8������tt�8csm�ul�xuf�x �t�x!�t �x�uK�H��tD�Q��t�e�R�p�I�E������3�8E
                                                                                  ����t�@��t�Q�Y_^(�Ëe����U����U
                  )�������WV�t$�L$�|$
                                       �����;�;����� �����s�% A�����%�As: File name too long
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �t: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: E������f���Dž�����u
                                                             �Ej^��3��E���f: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �u��C�f: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/s�E��e����E����}��tK��tf�2������f��t,�}�ujXf;�u*��u#�E���tj�A_f98u���
                                            f: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: E�t: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �E_^���)�U��V������?r3��7����M
                                                                        3��u: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �s��M������: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �vލjP�=j������
                                                         ��^)�U��)������=�-At3��VW�w����u����$V�*Y��u����
      ��-A3���-Aj�=YV�6Y��_^�U����
                                     S�3��E���VW���f��t3j=��(f;�tB�΍yf���f;E�u�+����4N�����f��uՋ�BjP�v��YY������}�f��t|�Ћˍqf���f;E�u�+���j=�AY�E�f;�t8jP�2��YY��t7S�u�V�Y��
                                                                                        ��uH�E��0���E�3�P�c�E�Y�C���f��u��W�)3�W�BYY3�P�8Y��_^(��)�3�PPPPP��̋�U��V���t�W���
                                                                               P���Y��u�V��Y_^)Ë�U��Q� A3ʼnE�V��W�~��V��@�Y��;�u��M�_3�^������)���U����;�-AtP�y���Y)Ë�U����;�-AtP�^���Y)�hQ8@��-A�{���hl8@��-A�l����5�-A�2����5�-A����YY�������.A��u��-AVj: File name too long
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: E�t�}�t
                                               ��tf�������c����u
���(��t�: not found                                                ��3�f�����
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 15: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: �w: not found
/media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: 22: /media/storage/SteamLibrary/steamapps/common/Among Us/Among Us.exe: Syntax error: ")" unexpected
>>> Adding process 6696 for game ID 945360
Game removed: AppID 945360 "", ProcID 6581 
Uploaded AppInterfaceStats to Steam
Exiting app 945360
No cached sticky mapping in ActivateActionSet.(2020-09-20 15:52:17) Background update loop checking for update. . .
(2020-09-20 15:52:17) Checking for available updates...
(2020-09-20 15:52:17) Downloading manifest: media4.steampowered.com/client/steam_client_publicbeta_ubuntu12
Installing breakpad exception handler for appid(steam)/version(1599861500)
(2020-09-20 15:52:17) Download skipped by HTTP 304 Not Modified
(2020-09-20 15:52:17) Nothing to do

18.04 – Gnome-system-monitor does not launch even after apt installation

As instructed in other SO questions (Clicking on the system monitor button does not work anymore from one day to the next (Ubuntu 18.04)) I have installed the apt version of gnome-system-monitor, but I still get an error when my computer is using a lot of its memory and CPU. I am on Ubuntu 18.04.

~$ gnome-system-monitor 

(gnome system-monitor:6179): glibmm-CRITICAL **: 01:14:23.561: 
unhandled exception (type Glib::Error) in signal handler:
domain: g-io-error-quark
code  : 0
what  : Unable to find default local file monitor type

Any idea how to fix this? Thanks

networking – Only network with loss packet ubuntu 18.04

When i connect my notebokk in wi-fi of my house i have high packet loss. But when i change for my phone network i dont have loss packet

PING github.com (140.82.112.4) 56(84) bytes of data.
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=3 ttl=49 time=3087 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=4 ttl=49 time=2063 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=5 ttl=49 time=1039 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=6 ttl=49 time=156 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=7 ttl=49 time=139 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=8 ttl=49 time=155 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=9 ttl=49 time=249 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=10 ttl=49 time=144 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=11 ttl=49 time=189 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=12 ttl=49 time=146 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=13 ttl=49 time=144 ms
64 bytes from lb-140-82-112-4-iad.github.com (140.82.112.4): icmp_seq=14 ttl=49 time=159 ms
^C
--- github.com ping statistics ---
52 packets transmitted, 12 received, 76% packet loss, time 51795ms
rtt min/avg/max/mdev = 139.745/639.613/3087.449/922.711 ms, pipe 4

example of ping in github site

All services of google work fine but theys are in ipv6 connection

Python3-dev version conflict on fresh 18.04 install

As with other posts in this stack exchange, I’m having issues with installing python3-dev on a fresh install of Ubuntu (18.04) that is running a pre-installed python3 (3.6.9-1~18.04). Many of the recommended fixes in those posts that I have tried have worked, such as uninstalling and reinstalling python3. I’ve had to restore my laptop to the factory defaults twice now because apt ended up breaking much of the operating system by modifying python3. Aptitude also could not resolve the conflicts.

More specifically, when I attempt to do sudo apt install python3-dev I get the following:

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 python3-dev : Depends: python3 (= 3.6.5-3) but 3.6.7-1~18.04 is to be installed
               Depends: libpython3-dev (= 3.6.5-3) but it is not going to be installed
               Depends: python3.6-dev (>= 3.6.5-2~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Here is the output of running sudo apt update:

Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu bionic InRelease                    
Hit:3 http://archive.canonical.com/ubuntu bionic InRelease                    
Ign:4 http://oem.archive.canonical.com/updates bionic-oem InRelease            
Ign:5 http://dell.archive.canonical.com/updates bionic-dell-beaver-osp1-gendry InRelease
Hit:6 http://oem.archive.canonical.com/updates bionic-oem Release
Ign:7 http://dell.archive.canonical.com/updates bionic-dell-service InRelease
Hit:9 http://dell.archive.canonical.com/updates bionic-dell InRelease
Hit:10 http://dell.archive.canonical.com/updates bionic-dell-beaver-osp1-gendry Release
Hit:12 http://dell.archive.canonical.com/updates bionic-dell-service Release
Reading package lists... Done
Building dependency tree      
Reading state information... Done
All packages are up to date.

and the output for sudo apt upgrade:

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

I’d appreciate any help in figuring out how I can resolve these issues. Upgrading to the latest version of Ubuntu (20.04) is not an option right now.